org.apache.fop.fo.properties

## Class LengthRangeProperty.Maker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.CompoundPropertyMaker
    - - org.apache.fop.fo.properties.LengthRangeProperty.Maker

All Implemented Interfaces:
  Cloneable

Enclosing class:
  LengthRangeProperty

    public static class LengthRangeProperty.Maker
    extends CompoundPropertyMaker

Inner class for a Maker for LengthProperty objects

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

### Constructor Summary

Constructors
Constructor and Description
`Maker(int propId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Property` `convertProperty(Property p, PropertyList propertyList, FObj fo)` Return a Property object based on the passed Property object.
`Property` `makeNewProperty()` Create a new empty instance of LengthRangeProperty.
`protected Property` `setSubprop(Property baseProperty, int subpropertyId, Property subproperty)` Set a component in a compound property and return the modified compound property object.

### Methods inherited from class org.apache.fop.fo.properties.CompoundPropertyMaker

`addSubpropMaker, checkEnumValues, get, getSubpropMaker, make, make, make, makeCompound, useGeneric`

### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

`addEnum, addKeyword, addShorthand, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, getName, getPercentBase, getPropId, getShorthand, getSubprop, isInherited, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Maker

    public Maker(int propId)

Parameters:
  `propId` - the id of the property for which a Maker should be created

### Method Detail

#### makeNewProperty

    public Property makeNewProperty()

Create a new empty instance of LengthRangeProperty.

Overrides:
  `makeNewProperty` in class `PropertyMaker`
Returns:
  the new instance.

#### convertProperty

    public Property convertProperty(Property p,
                                    PropertyList propertyList,
                                    FObj fo)
                             throws PropertyException

Return a Property object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this compound property.

Overrides:
  `convertProperty` in class `CompoundPropertyMaker`
Parameters:
  `p` - The Property object return by the expression parser
  `propertyList` - The PropertyList object being built for this FO.
  `fo` - The parent FO for the FO whose property is being made.
Returns:
  A Property of the correct type or null if the parsed value can't be converted to the correct type.
Throws:
  `PropertyException` - for invalid or inconsistent FO input

#### setSubprop

    protected Property setSubprop(Property baseProperty,
                                  int subpropertyId,
                                  Property subproperty)

Set a component in a compound property and return the modified compound property object. This default implementation returns the original base property without modifying it. It is overridden by property maker subclasses which handle compound properties.

Overrides:
  `setSubprop` in class `PropertyMaker`
Parameters:
  `baseProperty` - The Property object representing the compound property, such as SpaceProperty.
  `subpropertyId` - The ID of the component whose value is specified.
  `subproperty` - A Property object holding the specified value of the component to be set.
Returns:
  The modified compound property object.